Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cli
Class CliMain

    java.lang.Object
      org.apache.cassandra.cli.CliMain

    public class CliMain

extends java.lang.Object

Cassandra Command Line Interface (CLI) Main

Field Summary
`static java.lang.String` | `HISTORYFILE`
`static java.lang.String` | `PROMPT`

Constructor Summary
`CliMain()`

Method Summary
`static void` | `connect(java.lang.String server, int port)` Establish a thrift connection to cassandra instance
`static void` | `disconnect()` Disconnect thrift connection to cassandra instance
`static boolean` | `isConnected()` Checks whether the thrift client is connected.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROMPT

    public static final java.lang.String PROMPT

See Also:
  Constant Field Values

### HISTORYFILE

    public static final java.lang.String HISTORYFILE

See Also:
  Constant Field Values

Constructor Detail

### CliMain

    public CliMain()

Method Detail

### connect

    public static void connect(java.lang.String server,
                               int port)

  Establish a thrift connection to cassandra instance

  Parameters:
    `server` - - hostname or IP of the server
    `port` - - Thrift port number

### disconnect

    public static void disconnect()

  Disconnect thrift connection to cassandra instance

### isConnected

    public static boolean isConnected()

  Checks whether the thrift client is connected.

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation